Getting Started with React and AEM SPA Editor - Chapter 0 -- Build Error

Avatar

Avatar

Prince_Shivhare

Avatar

Prince_Shivhare

Prince_Shivhare

25-03-2019

Hi All,

I was trying to create a project structure for React and AEM.

I have followed the steps whatever is provided in  Adobe Experience Manager Help | Getting Started with React and AEM SPA Editor - Chapter 0

but after giving a build I am getting error below:

[INFO] Downloading https://nodejs.org/dist/v10.15.0/win-x86/node.exe to C:\Users\shivharep\.m2\repository\com\github\eirslett\node\10.15.0\node-10.15.0-win-x86.exe

[INFO] No proxies configured

[INFO] No proxy was configured, downloading directly

[INFO] ------------------------------------------------------------------------

[INFO] Reactor Summary:

[INFO]

[INFO] aem-guides-wknd-events 0.0.1-SNAPSHOT .............. SUCCESS [  0.301 s]

[INFO] WKND Events - Core ................................. SUCCESS [  4.890 s]

[INFO] WKND Events - React App ............................ FAILURE [  2.554 s]

[INFO] WKND Events - UI apps .............................. SKIPPED

[INFO] WKND Events - UI content 0.0.1-SNAPSHOT ............ SKIPPED

[INFO] ------------------------------------------------------------------------

[INFO] BUILD FAILURE

[INFO] ------------------------------------------------------------------------

[INFO] Total time: 9.461 s

[INFO] Finished at: 2019-03-26T13:27:29+11:00

[INFO] ------------------------------------------------------------------------

[ERROR] Failed to execute goal com.github.eirslett:frontend-maven-plugin:1.6:install-node-and-npm (install node and npm) on project aem-guides-wknd-events.react: Could not download Node.js from: https://nodejs.org/dist/v10.15.0/win-x86/node.exe: Could not do

and once I  configure the proxy, I am getting the error:

INFO] --- frontend-maven-plugin:1.6:install-node-and-npm (install node and npm) @ aem-guides-wknd-events.react ---

[INFO] Found proxies: [optional{protocol='http', host='hostproxy', port=8080, with username/passport authentication}]

[INFO] Installing node version v10.15.0

[INFO] Downloading https://nodejs.org/dist/v10.15.0/win-x86/node.exe to C:\Users\shivharep\.m2\repository\com\github\eirslett\node\10.15.0\node-10.15.0-win-x86.exe

[INFO] Downloading via proxy optional{protocol='http', host='hostproxy', port=8080, with username/passport authentication}

Mar 26, 2019 1:37:38 PM org.apache.http.impl.auth.HttpAuthenticator generateAuthResponse

WARNING: NEGOTIATE authentication error: No valid credentials provided (Mechanism level: No valid credentials provided (Mechanism level: Failed to find any Kerberos tgt))

Mar 26, 2019 1:37:38 PM org.apache.http.impl.auth.HttpAuthenticator generateAuthResponse

WARNING: NTLM authentication error: Credentials cannot be used for NTLM authentication: org.apache.http.auth.UsernamePasswordCredentials

[INFO] ------------------------------------------------------------------------

[INFO] Reactor Summary:

[INFO]

[INFO] aem-guides-wknd-events 0.0.1-SNAPSHOT .............. SUCCESS [  0.320 s]

[INFO] WKND Events - Core ................................. SUCCESS [  5.070 s]

[INFO] WKND Events - React App ............................ FAILURE [  0.658 s]

[INFO] WKND Events - UI apps .............................. SKIPPED

[INFO] WKND Events - UI content 0.0.1-SNAPSHOT ............ SKIPPED

[INFO] ------------------------------------------------------------------------

[INFO] BUILD FAILURE

[INFO] ------------------------------------------------------------------------

[INFO] Total time: 8.086 s

[INFO] Finished at: 2019-03-26T13:37:38+11:00

[INFO] ------------------------------------------------------------------------

[ERROR] Failed to execute goal com.github.eirslett:frontend-maven-plugin:1.6:install-node-and-npm (install node and npm) on project aem-guides-wknd-events.react: Could not download Node.js from: https://nodejs.org/dist/v10.15.0/win-x86/node.exe: Could not download https://nodejs.org/dist/v10.15.0/win-x86/node.exe: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target -> [Help 1]

Can anyone help me in this?

Accepted Solutions (1)

Accepted Solutions (1)

Avatar

Avatar

Prince_Shivhare

Avatar

Prince_Shivhare

Prince_Shivhare

26-03-2019

It's a network problem.

for a work around manually putting the jar gave success.

Answers (2)

Answers (2)

Avatar

Avatar

srinivasgarimel

Avatar

srinivasgarimel

srinivasgarimel

13-09-2019

Prince,

Can you share the jar's which you added manually?

Thanks

Avatar

Avatar

Gaurav-Behl

MVP

Total Posts

1.1K

Likes

226

Correct Answer

281

Avatar

Gaurav-Behl

MVP

Total Posts

1.1K

Likes

226

Correct Answer

281
Gaurav-Behl
MVP

26-03-2019

If you plan to use proxy then pass on proper credentials via pom.xml or settings.xml   --"NEGOTIATE authentication error: No valid credentials provided "

Otherwise try on a different network where you can download the libraries w/o ssl restrictions

You may try with non-ssl link in pom.xml

<nodeDownloadRoot>http://nodejs.org/nodejs/dist/</nodeDownloadRoot>
<npmDownloadRoot>http://registry.npmjs.org/npm/-/</npmDownloadRoot>